AMAttemptInfo (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs.webapp.dao, class: AMAttemptInfo

Package org.apache.hadoop.mapreduce.v2.hs.webapp.dao

# Class AMAttemptInfo

java.lang.Object
org.apache.hadoop.mapreduce.v2.hs.webapp.dao.AMAttemptInfo

public class AMAttemptInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `containerId`
  `protected int`
  `id`
  `protected String`
  `logsLink`
  `protected String`
  `nodeHttpAddress`
  `protected String`
  `nodeId`
  `protected String`
  `shortLogsLink`
  `protected long`
  `startTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AMAttemptInfo()`
  `AMAttemptInfo(org.apache.hadoop.mapreduce.v2.api.records.AMInfo amInfo, String jobId, String user, String host, String pathPrefix)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAttemptId()`
  `String`
  `getContainerId()`
  `String`
  `getLogsLink()`
  `String`
  `getNodeHttpAddress()`
  `String`
  `getNodeId()`
  `String`
  `getShortLogsLink()`
  `long`
  `getStartTime()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### nodeHttpAddress

    protected String nodeHttpAddress

  - ### nodeId

    protected String nodeId

  - ### id

    protected int id

  - ### startTime

    protected long startTime

  - ### containerId

    protected String containerId

  - ### logsLink

    protected String logsLink

  - ### shortLogsLink

    protected String shortLogsLink

- ## Constructor Details

  - ### AMAttemptInfo

    public AMAttemptInfo()

  - ### AMAttemptInfo

    public AMAttemptInfo(org.apache.hadoop.mapreduce.v2.api.records.AMInfo amInfo, String jobId, String user, String host, String pathPrefix)

- ## Method Details

  - ### getNodeHttpAddress

    public String getNodeHttpAddress()

  - ### getNodeId

    public String getNodeId()

  - ### getAttemptId

    public int getAttemptId()

  - ### getStartTime

    public long getStartTime()

  - ### getContainerId

    public String getContainerId()

  - ### getLogsLink

    public String getLogsLink()

  - ### getShortLogsLink

    public String getShortLogsLink()